classification
Title: test_sqlite fails with SQLite 3.8.4
Type: Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Andreas.Stieger, ghaering, koobs, python-dev
Priority: normal Keywords:

Created on 2014-03-12 21:51 by Andreas.Stieger, last changed 2014-04-22 03:05 by koobs. This issue is now closed.

Messages (3)
msg213302 - (view) Author: Andreas Stieger (Andreas.Stieger) Date: 2014-03-12 21:51
SQLite 3.8.4 fails test_sqlite on 2.7 and 3.4.

[ 296s] test test_sqlite failed -- Traceback (most recent call last):
[ 296s] File "/home/abuild/rpmbuild/BUILD/Python-2.7.6/Lib/sqlite3/test/hooks.py", line 165, in CheckOpcodeCount
[ 296s] self.assertTrue(first_count > second_count)
[ 296s] AssertionError: False is not true

This seems to be a change in behaviour callback of SQLite: (one "." per callback issued)
sqlite3_progress_handler(db, 1, progress_callback, NULL);
sqlite3_exec(db, "create table foo(a,b)", callback, 0, &zErrMsg);
sqlite3_progress_handler(db, 2, progress_callback, NULL);
sqlite3_exec(db, "create table bar(a,b)", callback, 0, &zErrMsg);

3.7.17> ./test
..................................................................
...........................
3.8.3.1> ./test
........
.......
3.8.4> ./test
.....
.....
3.8.4.1> ./test
.....
.....

This may be a side effect of optimization Documentation does day the callbacks are approximate. Can the test be adjusted to run more than CREATE TABLE so that a difference in the number of callbacks is tested for?

Also see openSUSE bug: https://bugzilla.novell.com/show_bug.cgi?id=867887
msg213348 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-03-13 02:52
New changeset 1763e27a182d by Benjamin Peterson in branch '2.7':
weaken callback count inequality (closes #20901)
http://hg.python.org/cpython/rev/1763e27a182d

New changeset dbc9e3ed5e9f by Benjamin Peterson in branch '3.3':
weaken callback count inequality (closes #20901)
http://hg.python.org/cpython/rev/dbc9e3ed5e9f

New changeset 4d626a9df062 by Benjamin Peterson in branch 'default':
merge 3.3 (#20901)
http://hg.python.org/cpython/rev/4d626a9df062
msg216980 - (view) Author: Kubilay Kocak (koobs) (Python triager) Date: 2014-04-22 03:05
Updating versions to match branches fix was committed in
History
Date User Action Args
2014-04-22 03:05:51koobssetnosy: + koobs

messages: + msg216980
versions: + Python 3.3
2014-03-29 03:47:57benjamin.petersonlinkissue21094 superseder
2014-03-17 11:52:21berker.peksaglinkissue20955 superseder
2014-03-13 02:52:35python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg213348

resolution: fixed
stage: resolved
2014-03-12 21:59:21ned.deilysetnosy: + ghaering
2014-03-12 21:51:44Andreas.Stiegercreate